# Delete database

Delete the specified database. This operation is irreversible; please confirm that the database and the data in it are no longer needed before performing it.

```text
POST https://moi.matrixorigin.cn/newmoi/meta/db/drop
```

## Preparation before calling

Prepare a personal access token, workspace ID, and database name with delete permissions on the target database. You can first [query database](list-databases.md) to confirm the name.

The examples below use `$AI_STUDIO_API_KEY`, `$WORKSPACE_ID`, and `$DATABASE`.

## Request body

Replace caller-specific values in the example with actual values.

::::{div} mo-api-split
:::{div} mo-api-split-main
```{raw} html
<dl class="mo-api-fields">
<div class="mo-api-field"><dt><code>db_name</code><span class="mo-api-field__type">string</span><span class="mo-api-field__required">Required</span></dt><dd>The name of the database to be deleted.</dd></div>
</dl>
```
:::
:::{div} mo-api-split-aside
```{raw} html
<p class="mo-api-example-label">Request example</p>
```
```bash
curl -X POST "https://moi.matrixorigin.cn/newmoi/meta/db/drop" \
  -H "X-API-Key: $AI_STUDIO_API_KEY" \
  -H "X-Workspace-ID: $WORKSPACE_ID" \
  -H 'Content-Type: application/json' \
  -d "{\"db_name\":\"$DATABASE\"}"
```
:::
::::
## Successful response

```json
{"code":200,"data":null}
```

The response fields are as follows.

| Field | Type | Description |
| --- | --- | --- |
| `code` | integer | `200` on success. |
| `data` | null | This operation does not return a result object. |

A successful response does not return an object. Then [query the database](list-databases.md) to confirm that the database no longer appears.

## Error response

::::{div} mo-api-split
:::{div} mo-api-split-main
```{raw} html
<dl class="mo-api-fields">
<div class="mo-api-field"><dt><code>code</code><span class="mo-api-field__type">integer or string</span></dt><dd>Error code or status.</dd></div>
<div class="mo-api-field"><dt><code>message</code><span class="mo-api-field__type">string</span></dt><dd>Error message.</dd></div>
</dl>
```
:::
:::{div} mo-api-split-aside
```{raw} html
<p class="mo-api-example-label">Error response example</p>
```
```json
{
  "code": 400,
  "message": "db_name 不能为空"
}
```
:::
::::
## Follow-up operations

[View table field](list-table-columns.md), confirm that the target no longer appears.
